import React from "react"
import AniLink from "gatsby-plugin-transition-link/AniLink"
import { IconContext } from "react-icons";
import { FaGithub } from 'react-icons/fa';
import { FaGitlab } from 'react-icons/fa';

const TopBar = ({ events }) => {
  return (
    <>
      <div id="uberid">
            <section id="topbar" className="section">
                <div className="container">
                    <div className="row">
                        <div className="col-lg-3 col-md-3 col-sm-3 col-xs-12 social left">
                            <ul>
                                <li><a href="https://github.com/thalhalla/" aria-label="Thalhalla Github"  target="_blank" rel="noreferrer" title="Github" className="topbar-google"><IconContext.Provider value={{ className: "fa fa-github" }}><FaGithub /></IconContext.Provider></a></li>
                                <li><a href="https://gitlab.com/thalhalla/" aria-label="Thalhalla Gitlab"  target="_blank" rel="noreferrer" title="Gitlab" className="topbar-google"><IconContext.Provider value={{ className: "fa fa-gitlab" }}><FaGitlab /></IconContext.Provider></a></li>
                            </ul>
                        </div>
                        <div className="col-lg-9 col-md-9 col-sm-9 col-xs-12 support right">
                            <ul>
                                <li className="top-txt"><a href="mailto:thaladmin@thalhalla.com">Contact us</a></li>
                                <li className="top-divider">| |</li>
                                <AniLink
                                  fade
                                  to="/signup"
                                  state={{modal: true}}
                                  className="top-button"
                                >
                                  <button type="button"
                                    className="btn btn-topbar1 btn-c"
                                    data-toggle="modal"
                                    data-target=".signup">
                                      Get Started
                                      <i className="fa fa-chevron-right"></i>
                                  </button>
                                </AniLink>
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
      </div>
    </>
  )
}

export default TopBar
